System Requirements Hippo CMS 10 - Enterprise Java Content management system - Hippo CMS

This article covers a Hippo CMS version 10. There's an updated version available that covers our most recent release.

System Requirements Hippo CMS 10

Updated October 23rd, 2018: version 10.2.14 adds support for OpenJDK 8, Tomcat 9, and MySQL 8.

This page describes the generic system requirements for Hippo CMS 10 to provide a guideline for infrastructure decisions. System requirements for older versions can be found here: 7.9 and 7.8.

Any third party product or service that is in extended support mode is not supported by Hippo unless explicitly stated differently.

Server Stacks

Hippo CMS Community Edition Supported Stack

The Hippo CMS 10 Community Edition stack is based upon:

JVM: Oracle JVM 8
Operating System: Ubuntu Server 14.04 (preferred)
Application Server: Tomcat 8.0
Database Server: MySQL 5.7

Hippo CMS Enterprise Edition Supported Stack

Hippo Enterprise supports several different stacks, i.e. combinations of Java virtual machine, operating system, database and application server. Hippo has a preferred stack as mentioned below. In case your environment differs from the preferred stack look at options mentioned in the Enterprise Stack options. Please contact Hippo Sales for information on platforms not listed below. Please also contact Hippo for final sign-off to ensure that the combination of software versions employed is both eligible for Hippo support and also facilitates best possible performance and stability.

Preferred Enterprise Stack:

JVM: Oracle JVM 8
Operating System: Ubuntu Server 14.04 (preferred)
Application Server: Tomcat 8.0
Database Servers: MySQL 5.7 or Oracle 12
Relevance Module Requirement Couchbase Server Enterprise Edition version 3.1, Elasticsearch 1.7

Enterprise Stack Options:

  Supported Platform(s) Supported Version(s) Notes
Java Platform

Oracle or OpenJDK JVM

  • Java 8
Java Servlet Specification 3.0 (JSR-000315)
Operating Systems

Ubuntu Server​

  • 12.04
  • 14.04
 
 

RedHat Enterprise Linux (RHEL)

  • 6
  • 7.2
 
 

Debian

  • Squeeze
  • Wheezy
 
 

Windows Server

  • 2008 R2
  • 2012
  • 2012 R2
 
Application Servers Apache Tomcat
  • 7
  • 8.0
  • 8.5
  • 9.0
 
 

Oracle WebLogic

  • 12c release 3
 

Database Servers

MySQL

  • 5.6
  • 5.7
  • 8

MySQL 5.6 supported until EOL Feb 2018

 

Amazon RDS

  Using MySQL or Oracle RDS
 

Oracle

  • 12
 
 

MS SQL Server

  • 2012

Note that mainstream support for SQL Server 2008 and SQL Server 2008 R2 has ended on July 8, 2014.

 

PostgreSQL

  • 9
 
Relevance Module Requirement

Couchbase Server Enterprise Edition

  • 3.1
 
  Elasticsearch
  • 1.7
 
LDAP Directories

OpenLDAP

   
 

Novell Directory Server

   
 

Microsoft Active Directory

   
 

ApacheDS

   

Client Software Supported Stack

The Hippo CMS User Interface is fully web based and requires no prerequisites to be installed. As such Hippo is expected to run in any standard browser environment. Hippo cannot guarantee browser plug-ins, tools or any kind of modifications to the browser to work with Hippo CMS.

The CMS User Interface requires cookies to be activated for the domain it runs in.
  Supported Platform(s) Supported Version(s) Notes
Operating Systems Microsoft Windows
  • 8
  • 10
 
  Mac OS X    
  Ubuntu
  • 12 and higher
 
Browsers Google Chrome
  • latest stable version
 
  Mozilla Firefox
  • latest stable version
 
  Microsoft Internet Explorer
  • 11 and higher (Windows desktop mode)

For future MSIE versions, delay (auto-)updating until Hippo has tested and confirmed compatibility.

  Apple Safari
  • 8 and higher
Mac OS X only

Browser support for the website is determined by the website implementation. Hippo's delivery tier (HST) supports all major browsers and versions.

This article covers a Hippo CMS version 10. There's an updated version available that covers our most recent release.

System Requirements Hippo CMS 10

Updated October 23rd, 2018: version 10.2.14 adds support for OpenJDK 8, Tomcat 9, and MySQL 8.

This page describes the generic system requirements for Hippo CMS 10 to provide a guideline for infrastructure decisions. System requirements for older versions can be found here: 7.9 and 7.8.

Any third party product or service that is in extended support mode is not supported by Hippo unless explicitly stated differently.

Server Stacks

Hippo CMS Community Edition Supported Stack

The Hippo CMS 10 Community Edition stack is based upon:

JVM: Oracle JVM 8
Operating System: Ubuntu Server 14.04 (preferred)
Application Server: Tomcat 8.0
Database Server: MySQL 5.7

Hippo CMS Enterprise Edition Supported Stack

Hippo Enterprise supports several different stacks, i.e. combinations of Java virtual machine, operating system, database and application server. Hippo has a preferred stack as mentioned below. In case your environment differs from the preferred stack look at options mentioned in the Enterprise Stack options. Please contact Hippo Sales for information on platforms not listed below. Please also contact Hippo for final sign-off to ensure that the combination of software versions employed is both eligible for Hippo support and also facilitates best possible performance and stability.

Preferred Enterprise Stack:

JVM: Oracle JVM 8
Operating System: Ubuntu Server 14.04 (preferred)
Application Server: Tomcat 8.0
Database Servers: MySQL 5.7 or Oracle 12
Relevance Module Requirement Couchbase Server Enterprise Edition version 3.1, Elasticsearch 1.7

Enterprise Stack Options:

  Supported Platform(s) Supported Version(s) Notes
Java Platform

Oracle or OpenJDK JVM

  • Java 8
Java Servlet Specification 3.0 (JSR-000315)
Operating Systems

Ubuntu Server​

  • 12.04
  • 14.04
 
 

RedHat Enterprise Linux (RHEL)

  • 6
  • 7.2
 
 

Debian

  • Squeeze
  • Wheezy
 
 

Windows Server

  • 2008 R2
  • 2012
  • 2012 R2
 
Application Servers Apache Tomcat
  • 7
  • 8.0
  • 8.5
  • 9.0
 
 

Oracle WebLogic

  • 12c release 3
 

Database Servers

MySQL

  • 5.6
  • 5.7
  • 8

MySQL 5.6 supported until EOL Feb 2018

 

Amazon RDS

  Using MySQL or Oracle RDS
 

Oracle

  • 12
 
 

MS SQL Server

  • 2012

Note that mainstream support for SQL Server 2008 and SQL Server 2008 R2 has ended on July 8, 2014.

 

PostgreSQL

  • 9
 
Relevance Module Requirement

Couchbase Server Enterprise Edition

  • 3.1
 
  Elasticsearch
  • 1.7
 
LDAP Directories

OpenLDAP

   
 

Novell Directory Server

   
 

Microsoft Active Directory

   
 

ApacheDS

   

Client Software Supported Stack

The Hippo CMS User Interface is fully web based and requires no prerequisites to be installed. As such Hippo is expected to run in any standard browser environment. Hippo cannot guarantee browser plug-ins, tools or any kind of modifications to the browser to work with Hippo CMS.

The CMS User Interface requires cookies to be activated for the domain it runs in.
  Supported Platform(s) Supported Version(s) Notes
Operating Systems Microsoft Windows
  • 8
  • 10
 
  Mac OS X    
  Ubuntu
  • 12 and higher
 
Browsers Google Chrome
  • latest stable version
 
  Mozilla Firefox
  • latest stable version
 
  Microsoft Internet Explorer
  • 11 and higher (Windows desktop mode)

For future MSIE versions, delay (auto-)updating until Hippo has tested and confirmed compatibility.

  Apple Safari
  • 8 and higher
Mac OS X only

Browser support for the website is determined by the website implementation. Hippo's delivery tier (HST) supports all major browsers and versions.